# awesum graphical checksum verifier
%define name        awesum
%define version     0.6.0
%define release     %mkrel 2 
%define section     Archiving/Other
%define summary     Awesum is an easy to use graphical checksum verifier.

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:          %{section}
License:        BSD
URL:            http://awesum.sf.net/
Source: 	%{name}-%{version}-src.tar.gz
Packager:       Merlin Whitewolf (aka Myrddin F)
BuildRequires:  pygtk2.0-devel
BuildRequires:  python
BuildRequires:  pygtk2.0-libglade
Requires:       python
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       glade2
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-root

%description
Awesum is a graphical checksum verification utility. It is written in
Python and uses the PyGTK toolkit. Awesum is very easy to use and
includes support for both MD5 and SHA checksum algorithms. Unlike
many checksum verification utilities, Awesum features a progress
bar which makes working with large files (such as CD-ROM ISO
images) much more bearable.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n awesum

%build

%install
sh install.sh

%makeinstall
sh makepkg.sh

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Awesum
Comment=Checksum Verify Utility
Exec=%{_bindir}/%{name}
Icon=hardware_configuration_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Archiving-CDBurning;
EOF




%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_defaultdocdir}/%{name}/html
%docdir %{_defaultdocdir}/%{name}/html
%{_datadir}/applications/pclinuxos-%{name}.desktop

%clean
rm -rf %{buildroot}


%changelog
* Sun May 25 2009 Texstar <texstar@gmail.com> 0.6.0-2pclos2009
- fix rpm group

* Sun Dec 16 2007 Merlin Whitewolf <merlinww@gmail.com> 0.6.0-1pclos2007
- packaged for PCLinuxOS
